<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("aggre" . "gatio" . "n" => base64_decode("YWdn" . "cmVn" . "YXRp" . "b24="), "_c3632c30d13c06788" . "77605a29c10c428" => base64_decode("IEdST1VQIEJ" . "ZIG9iamVjdF" . "9pZCkgdA=="), "_8a2c4179b7145f57e03893c" . "306413ae2" => base64_decode("U0VMRUNUIG9iamVjdF9pZCwgQ09VTlQodXNlcl9pZCkgdmlld3MsIENPVU5UKERJU1RJTkNUIHVzZXJfaWQpIHVuaXF1ZV92aWV3ZXJzIEZST00gc3RhdF92aWV3cyBXSEVSRSBhZ2dyZ" . "WdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_bfe6642a5b68bf0dfb" . "e0e38d0c9f9bb3" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCBvYmplY3RfaWQgRlJPTSBzdGF0X3" . "ZpZXdzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_31fe0e29fdfc834bf81efd515f83" . "90b2" => base64_decode("IEdST1VQIEJZIG9iamVjdF9pZCBPUkRFUiBCWSB2aWV3cyBERVNDLCB1bmlxdWVfdmlld2VycyBERVN" . "DLCBvYmplY3RfaWQgQVND"));
use Claromentis\Core\DAL;
abstract class StatReportTopViewList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_8a2c4179b7145f57e03893c30641" . "3ae2"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_31fe0e29fdfc834bf81e" . "fd515f8390b2"]);
        $query->Bind($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["aggr" . "egat" . "ion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_bfe6642a5b68bf0df" . "be0e38d0c9f9bb3"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c3632c30d" . "13c0678877" . "605a29c10c" . "428"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}